<template>
    <input type="text" :name="name" :value="value" @input="handleInput" :placeholder="placeholder" class="border border-pink rounded-[10px] text-silver bg-black px-4 h-[40px]"/>
</template>

<script setup lang="ts">
    import { defineProps, inject, ref, defineEmits } from 'vue';

    const value = inject('value')

    const emit = defineEmits(['input'])

    const props = defineProps({
        name: {
            type: String,
            required: true
        },
        placeholder: {
            type: String,
            required: true
        },
        value: String
    })

    const inputValue = ref(props.value);

    const handleInput = (event) => {
      const newValue = event.target.value;
      inputValue.value = newValue;
      emit('input', newValue);
    };

</script>
